General discussion on installation and configuration of SOGo

Text archives Help


Re: [SOGo] updates.php working?, but TB not updating plugins from 17 to 24


Chronological Thread 
  • From: Szládovics Péter < >
  • To:
  • Subject: Re: [SOGo] updates.php working?, but TB not updating plugins from 17 to 24
  • Date: Thu, 06 Feb 2014 08:50:01 +0100

Hi,

The XML looks good.
How did you try to update? What is the actual thunderbird version? The previous integrator is installed from the same place?

Cheers,
Peter

2014-02-05 22:28 keltezéssel, írta:
Hello,

I can't seem to get this to work. Even though Thunderbird requests and gets the following xml data it wont update the 17.x connector and integrator to 24.x
I try to get tb to update its plugins when I update itself from 17 to 24


What do i do wrong/get wrong with that functionality?

GET /plugins/updates.php?plugin= &version=0.00&platform=WINNT_x86-msvc HTTP/1.1 Host: sogo.acme.de User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:24.0) Gecko/20100101 Thunderbird/24.3.0 Lightning/2.6.4 Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8 Accept-Language: de-de,de;q=0.8,en-us;q=0.5,en;q=0.3 Accept-Encoding: gzip, deflate Connection: keep-alive <?xml version="1.0"?> <!DOCTYPE RDF> <RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:em="http://www.mozilla.org/2004/em-rdf#"> <Description about="urn:mozilla:extension: "> <em:updates> <Seq> <li> <Description> <em:version>24.0.3</em:version> <em:targetApplication> <Description> <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id> <em:minVersion>24.0</em:minVersion> <em:maxVersion>24.*</em:maxVersion> <em:updateLink>https://sogo.acme.de/plugins/sogo-integrator-24.0.3-3d7a215e92-acme.de.xpi</em:updateLink> </Description> </em:targetApplication> </Description> </li> </Seq> </em:updates> </Description> </RDF>





Archive powered by MHonArc 2.6.18.

Top of page